export function getDefaultDocAuthConfig(): {
    [key: string]: any;
};
export function combineDocAuthConfig(authConfig: {
    [key: string]: any;
} | null | undefined, anotherAuthConfig?: {
    [key: string]: any;
}): {
    [key: string]: any;
};
export function getUserInfo(item: Item, transaction: Transaction, currentUser?: string): YMap<any> | null;
export function getUserRoles(item: Item, transaction: Transaction, currentUser: string): YArray<any> | null;
export function getUserRoleConfig(item: Item, transaction: Transaction, currentUser: string): Array<any>;
export function getUserRoleRulesInDoc(item: Item, transaction: Transaction, currentUser: string): Array<YMap<any>>;
export function isItemMeetRuleParent(item: Item, rule: YMap<any>, deep: boolean): boolean;
export function getMetRulesOfItem(item: Item, transaction: Transaction, currentUser: string): Array<any>;
export function checkReadAuth(item: Item, transaction: Transaction): boolean;
export function checkAddAuth(item: Item, transaction: Transaction): void;
export function checkDeleteAuth(item: Item, transaction: Transaction): void;
import { Item } from "../structs/Item";
import { Transaction } from "./Transaction";
import { YMap } from "../types/YMap";
import { YArray } from "../types/YArray";
